<div *ngIf="book" style="margin-left: 30px; margin-bottom: 30px;">
    <!--<div class="column">
        <img class="image" [src]="book.imagePath || 'https://cdn.vanderbilt.edu/vu-wp0/wp-content/uploads/sites/181/2019/09/09091628/Image-Coming-Soon.png'">
        <div class="middle">
            <div class="text">John Doe</div>
        </div>-
    </div>-->

    <div class="column">
        <div class="image">
            <a style="cursor: pointer;"> <img class="img" [src]="book.imagePath || 'https://cdn.vanderbilt.edu/vu-wp0/wp-content/uploads/sites/181/2019/09/09091628/Image-Coming-Soon.png'" [routerLink]="['/books', book._id]" placement="right" [ngbTooltip]="tooltip" tooltipClass="tooltip-class"
                /> </a>
        </div>
        <div class="icon"><img style="height: 50px; width: 50px;" src="../../../assets/icons/icons8-add-100.png" (click)="onOpenDialog()" [ngbTooltip]="addOrRemoveTooltip" placement="right" /> </div>
    </div>
</div>

<ng-template #tooltip>
    <h3 style="font-family: Lady; color: #f2fa86;"> {{ book.title }}</h3>
    <p style="font-family: Lady; font-size: 15px"> {{ book.description | slice:0:200 }}... </p>
</ng-template>

<ng-template #addOrRemoveTooltip>
    <p style="font-family: Lady; font-size: 15px"> Add or remove book from shelf </p>
</ng-template>
